/// <reference types="react" />
import { DataFormControl } from "../DataFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare enum ListEntryType {
    LIST = "LIST",
    TEXT = "TEXT"
}
export declare class ListEntryFormControl extends DataFormControl {
    readonly __type: string;
    mode: ListEntryType;
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getItems(): string[];
    getStorageData(): object;
    setStorageData(data: object): void;
}
